## ros-noetic-pr2-mechanism-model 1.8.21

=== debian/changelog ===
ros-noetic-pr2-mechanism-model (1.8.21-1focal) focal; urgency=high

  * set catkin_add_gtest within CATKIN_ENABLE_TESTING (#346 <https://github.com/pr2/pr2_mechanism/issues/346>)
    fix with CATKIN_ENABLE_TESTING=OFF
  * Parse old & new transmission style (#345 <https://github.com/pr2/pr2_mechanism/issues/345>)
    The transmission style changed in ros_control, to make them compatible
    we adjusted them in the pr2_description
    This came up when we integrated the shadow-hand- and the PR2-model
  * Contributors: Kei Okada, Michael Görner

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 21 Jun 2022 15:00:00 -0000

ros-noetic-pr2-mechanism-model (1.8.20-1focal) focal; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 10 Apr 2022 15:00:00 -0000

ros-noetic-pr2-mechanism-model (1.8.19-1focal) focal; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sat, 09 Apr 2022 15:00:00 -0000

ros-noetic-pr2-mechanism-model (1.8.18-1focal) focal; urgency=high

  * Merge pull request #338 <https://github.com/pr2/pr2_mechanism/issues/338> from k-okada/add_travis
    update travis.yml
  * fix urdf::JointConstSharedPtr for test directory
  * fix for urdfmodel >= 1.0.0 (melodic)
  * to pass catkin run_tests, partially copied from https://github.com/PR2/pr2_mechanism/pull/329
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 10 Sep 2018 15:00:00 -0000

ros-noetic-pr2-mechanism-model (1.8.17-1focal) focal; urgency=high

  * Merge pull request #336 <https://github.com/pr2/pr2_mechanism/issues/336> from k-okada/hardware_interface_0.13.0
    set hardware_interface >= 0.13.0
  * set hardware_interface >= 0.13.0
    https://github.com/ros-controls/ros_control/pull/285 (which is included in hardware_interface 0.13.0) allow us to use class hardware_interface::HardwareResourceManager API
  * Merge pull request #335 <https://github.com/pr2/pr2_mechanism/issues/335> from k-okada/fix_cmake
    fix compile warning
  * fix compile warning
  * Merge pull request #332 <https://github.com/pr2/pr2_mechanism/issues/332> from k-okada/maintain
    change maintainer to ROS orphaned package maintainer
  * change maintainer to ROS orphaned package maintainer
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 12 Feb 2018 15:00:00 -0000

ros-noetic-pr2-mechanism-model (1.8.15-1focal) focal; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 12 Jan 2015 15:00:00 -0000

ros-noetic-pr2-mechanism-model (1.8.14-1focal) focal; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 12 Jan 2015 15:00:00 -0000

ros-noetic-pr2-mechanism-model (1.8.13-1focal) focal; urgency=high

  * Updated to use cmake_modules
  * Updated to use cmake_modules
  * Contributors: Jack Thompson

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 15 Dec 2014 15:00:00 -0000
