=== debian/control ===
Source: ros-noetic-pr2-mechanism-model
Section: misc
Priority: optional
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), liburdfdom-dev, ros-noetic-angles, ros-noetic-catkin, ros-noetic-cmake-modules, ros-noetic-hardware-interface (>= 0.13.0), ros-noetic-kdl-parser, ros-noetic-pluginlib, ros-noetic-pr2-hardware-interface, ros-noetic-roscpp, ros-noetic-rostest, ros-noetic-rosunit, ros-noetic-urdf
Homepage: http://ros.org/wiki/pr2_mechanism_model
Standards-Version: 3.9.2

Package: ros-noetic-pr2-mechanism-model
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liburdfdom-dev, ros-noetic-angles, ros-noetic-hardware-interface, ros-noetic-kdl-parser, ros-noetic-pluginlib, ros-noetic-pr2-hardware-interface, ros-noetic-roscpp, ros-noetic-urdf
Description: This package contains the robot model that is used by the realtime controllers inside controller manager.
 This robot model focuses on controlling the robot mechanism in a realtime control loop, and therefore it only contains the components of a robot that are relevant in realtime: the robot joints (with encoders, transmisisons and actuators) and the kinematic/dynamic model of the robot. The pr2_mechanism_model package is well tested and is released with a stable API.
